"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConcurrentRunningSteps = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const GetStepletsInProgress_1 = require("./GetStepletsInProgress");
class ConcurrentRunningSteps {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('ConcurrentRunningSteps');
        this.getStepletsInProgress = new GetStepletsInProgress_1.GetStepletsInProgress();
    }
    async process() {
        try {
            const stepletsInProgress = await this.getStepletsInProgress.getConcurrentRunningSteplets();
            return stepletsInProgress;
        }
        catch (error) {
            this.logger.warn('Cannot get concurrent running steps failed due to error', (0, node_util_1.inspect)(error));
            throw error;
        }
    }
}
exports.ConcurrentRunningSteps = ConcurrentRunningSteps;
//# sourceMappingURL=ConcurrentRunningSteps.js.map