"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const tryAndQueueExternalStepsNew_1 = require("../tryAndQueueExternalStepsNew");
const group = [{ projectId: 1, isExternal: true, groupStepIds: [1] }];
function getExecutionNodesMockImplementation() {
    return { active: 0, allowed: 0, available: 1 };
}
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: {
        config: {
            apiUrl: 'http://example.com',
            controlPlaneVersion: '1.23.6',
            defaultBatchSize: 100,
            jfrogPipelineSessionId: 'Testing123',
            apiToken: 'Testing1234'
        }
    }
}));
jest.mock('../../acl', () => {
    return {
        NodePoolRepository: jest.fn().mockImplementation(() => {
            return {
                getExecutionNodes: getExecutionNodesMockImplementation
            };
        })
    };
});
function mockImplementationPostHookWebHook() {
    return Promise.resolve();
}
describe('Testing success states', () => {
    let tryAndQueueExternalSteps;
    beforeEach(() => {
        tryAndQueueExternalSteps = new tryAndQueueExternalStepsNew_1.TryAndQueueExternalSteps(group, 'Testing123', 'Testing1234');
    });
    it('should be defined', () => {
        expect(tryAndQueueExternalSteps).toBeDefined();
    });
    it('should queue external steps', async () => {
        const spy1 = jest
            .spyOn(internal_clients_1.PipelinesClient.prototype, 'putStepById')
            .mockResolvedValueOnce({ stepId: 1, action: 'trigger' });
        const spy2 = jest
            .spyOn(internal_clients_1.PipelinesClient.prototype, 'postHookWebHook')
            .mockImplementationOnce(mockImplementationPostHookWebHook);
        await tryAndQueueExternalSteps.queueSteps();
        expect(spy1).toHaveBeenCalledTimes(1);
        expect(spy2).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=tryAndQueueExternalStepsNew.test.js.map