"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegrationRepository = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const IntegrationDataAdapterFactory_1 = require("./IntegrationDataAdapterFactory");
class IntegrationRepository {
    constructor() {
        this.adapter = IntegrationDataAdapterFactory_1.IntegrationDataAdapterFactory.create(microservice_1.AclAdapterDi.api);
    }
    async getGroupProjects(projectIds) {
        const projectIdsJoined = projectIds.join(',');
        const query = `projectIds=${projectIdsJoined}`;
        return this.adapter.getProjectsByQuery(query);
    }
    async getProjectIntegrationById(projectIntegrationId) {
        return this.adapter.getProjectIntegrationsById(projectIntegrationId);
    }
}
exports.IntegrationRepository = IntegrationRepository;
//# sourceMappingURL=IntegrationRepository.js.map