"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiNodePoolDataAdapter = void 0;
const configuration_1 = require("@jfrog-pipelines/configuration");
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
class ApiNodePoolDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.client = new internal_clients_1.PipelinesClient(12, this.properties.apiToken);
    }
    async getNodePoolsByQuery(query = '') {
        return this.client.getNodePools(query);
    }
    async getNodesByQuery(query = '') {
        return this.client.getNodes(query);
    }
    async getBuildPlaneMessagesCountByQuery(query = '') {
        return this.client.getBuildPlaneMessagesCount(query);
    }
    async getExecutionNodes() {
        return this.client.getExecutionNodes();
    }
}
exports.ApiNodePoolDataAdapter = ApiNodePoolDataAdapter;
//# sourceMappingURL=ApiNodePoolDataAdapter.js.map