"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DagCollectionFactory = void 0;
const DagCollection_1 = require("./DagCollection");
const StepRepository_1 = require("./StepRepository");
class DagCollectionFactory {
    static async create() {
        const stepRepository = new StepRepository_1.StepRepository();
        const dagVoList = await stepRepository.getDagRecords();
        const stepIds = dagVoList.map((dagVo) => {
            return dagVo.getStepId();
        });
        const stepletIds = dagVoList.map((dagVo) => {
            return dagVo.getStepletId();
        });
        const steps = await stepRepository.getStepsById(stepIds);
        const steplets = await stepRepository.getStepletsById(stepletIds);
        const stepletsByStepId = this.getStepletsByStepId(steplets);
        steps.map((step) => {
            const steplets = stepletsByStepId.get(step.getId()) ?? [];
            step.setSteplets(steplets);
        });
        return new DagCollection_1.DagCollection(dagVoList, steps);
    }
    static getStepletsByStepId(steplets) {
        const stepletsByStepId = new Map();
        steplets.map((steplet) => {
            const steplets = stepletsByStepId.get(steplet.getStepId()) ?? [];
            steplets.push(steplet);
            stepletsByStepId.set(steplet.getStepId(), steplets);
        });
        return stepletsByStepId;
    }
}
exports.DagCollectionFactory = DagCollectionFactory;
//# sourceMappingURL=DagCollectionFactory.js.map