"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolCollectionFactory = void 0;
const NodePoolCollection_1 = require("./NodePoolCollection");
const NodePoolRepository_1 = require("./NodePoolRepository");
class NodePoolCollectionFactory {
    static async create() {
        const nodePoolRepository = new NodePoolRepository_1.NodePoolRepository();
        const nodePools = await nodePoolRepository.getNodePools();
        const nodes = await nodePoolRepository.getNodes();
        for (const nodePool of nodePools) {
            const nodesForNodePool = [];
            for (const node of nodes) {
                if (node.getNodePoolId() === nodePool.getId()) {
                    nodesForNodePool.push(node);
                }
            }
            nodePool.setNodes(nodesForNodePool);
        }
        return new NodePoolCollection_1.NodePoolCollection(nodePools);
    }
}
exports.NodePoolCollectionFactory = NodePoolCollectionFactory;
//# sourceMappingURL=NodePoolCollectionFactory.js.map