"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolRepository = void 0;
const NodePoolDao_1 = require("../../driven/db/NodePoolDao");
const NodeDao_1 = require("../../driven/db/NodeDao");
const ProjectDao_1 = require("../../driven/db/ProjectDao");
const NodePoolVo_1 = require("./NodePoolVo");
const NodeVo_1 = require("./NodeVo");
const ProjectVo_1 = require("./ProjectVo");
class NodePoolRepository {
    constructor() {
        this.nodePoolDao = new NodePoolDao_1.NodePoolDao();
        this.nodeDao = new NodeDao_1.NodeDao();
        this.projectDao = new ProjectDao_1.ProjectDao();
    }
    async getNodePools() {
        const nodePools = await this.nodePoolDao.findAll();
        return nodePools.map((nodePool) => new NodePoolVo_1.NodePoolVo(nodePool));
    }
    async getNodes() {
        const nodes = await this.nodeDao.findAll();
        return nodes.map((node) => new NodeVo_1.NodeVo(node));
    }
    async getProjects() {
        const projects = await this.projectDao.findAll();
        const projectVoList = projects.map((project) => {
            return new ProjectVo_1.ProjectVo(project);
        });
        return projectVoList;
    }
}
exports.NodePoolRepository = NodePoolRepository;
//# sourceMappingURL=NodePoolRepository.js.map