"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolVo = void 0;
class NodePoolVo {
    constructor(nodePool) {
        this.id = nodePool.id;
        this.isOnDemand = nodePool.isOnDemand;
        this.nodes = [];
        this.projectId = nodePool.projectId;
        this.customTags = nodePool.providerMetadataPropertyBag.customTags;
        this.instanceSize = nodePool.providerMetadataPropertyBag.instanceSizel;
        this.name = nodePool.name;
        this.environments = nodePool.environments;
        this.numberOfNodes = nodePool.numberOfNodes;
        this.projectIntegrationId = nodePool.projectIntegrationId;
        this.isCacheEnabled = nodePool.isCacheEnabled;
    }
    getId() {
        return this.id;
    }
    getNodes() {
        return this.nodes;
    }
    getName() {
        return this.name;
    }
    setNodes(nodeVoList) {
        nodeVoList.filter((nodeVo) => {
            return !nodeVo.isOrphan();
        });
        this.nodes = nodeVoList;
    }
    isStatic() {
        return !this.isOnDemand;
    }
    getProjectId() {
        return this.projectId;
    }
    getCustomTags() {
        return this.customTags;
    }
    getInstanceSize() {
        return this.instanceSize;
    }
    getEnvironments() {
        return this.environments;
    }
    getNumberOfNodes() {
        return this.numberOfNodes;
    }
    getProjectIntegrationId() {
        return this.projectIntegrationId;
    }
    ifCacheIsEnabled() {
        return this.isCacheEnabled;
    }
}
exports.NodePoolVo = NodePoolVo;
//# sourceMappingURL=NodePoolVo.js.map