"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Queuer = void 0;
const ExternalStepQueuer_1 = require("./ExternalStepQueuer");
const JobQueuer_1 = require("./JobQueuer");
const OnDemandNodePoolQueuer_1 = require("./OnDemandNodePoolQueuer");
const RequestApprovalQueuer_1 = require("./RequestApprovalQueuer");
const StaticNodePoolQueuer_1 = require("./StaticNodePoolQueuer");
class Queuer {
    static getQueuer(stepAffinity) {
        if (stepAffinity.isApproval()) {
            return new RequestApprovalQueuer_1.RequestApprovalQueuer();
        }
        else if (stepAffinity.isExternal()) {
            return new ExternalStepQueuer_1.ExternalStepQueuer();
        }
        else if (stepAffinity.isStatic()) {
            return new StaticNodePoolQueuer_1.StaticNodePoolQueuer();
        }
        else if (stepAffinity.isJob()) {
            return new JobQueuer_1.JobQueuer();
        }
        else if (stepAffinity.isDynamic()) {
            return new OnDemandNodePoolQueuer_1.OnDemandNodePoolQueuer();
        }
        throw new Error('Unsupported Operation');
    }
}
exports.Queuer = Queuer;
//# sourceMappingURL=Queuer.js.map