"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestApprovalQueuer = void 0;
class RequestApprovalQueuer {
    async queue(stepAffinityCollection) {
        const approvalSteps = stepAffinityCollection.getApprovalSteps();
        await this.postApprovalRequest(approvalSteps);
    }
    async postApprovalRequest(approvalSteps) {
        const stepsByProjectId = this.getStepsByProjectId(approvalSteps);
        console.log(stepsByProjectId);
    }
    getStepsByProjectId(approvalSteps) {
        const stepsByProjectId = new Map();
        approvalSteps.map((step) => {
            const projectId = step.getProjectId();
            const steps = stepsByProjectId.get(projectId) ?? [];
            steps.push(step);
            stepsByProjectId.set(projectId, steps);
        });
        return stepsByProjectId;
    }
}
exports.RequestApprovalQueuer = RequestApprovalQueuer;
//# sourceMappingURL=RequestApprovalQueuer.js.map