import { DagVo } from '../Dag/DagVo';
import { StepVo } from '../Dag/StepVo';
import { NodePoolVo } from '../NodePool/NodePoolVo';
export declare class StepAffinityVo {
    private readonly priority;
    private readonly triggeredAt;
    private readonly projectId;
    private readonly pipelineId;
    private readonly pipelineSourceId;
    private readonly requiresApproval;
    private readonly approvalRequestedAt?;
    private readonly waitingForApproval?;
    private readonly steps;
    private readonly isExternal;
    private readonly nodePool;
    private readonly isJobNodePool;
    private readonly skipByNoNode;
    private readonly skipByNodePoolPermissions;
    private readonly skipByNonRootEnforcement;
    private readonly isStepUsingLocalArtifactory;
    private readonly runId;
    private readonly affinityGroup;
    constructor(runIdParameter: number, affinityGroupParameter: string, stepsParameter: StepVo[], dagRecords: DagVo[], projectIdParameter: number, pipelineIdParameter: number, pipelineSourceIdParameter: number, nodePoolParameter: NodePoolVo);
    getPriority(): number;
    getTriggeredAt(): Date;
    getProjectId(): number;
    getPipelineId(): number;
    getPipelineSourceId(): number;
    isApprovalRequired(): boolean;
    getApprovalRequestedAt(): Date | undefined;
    isWaitingForApproval(): boolean | undefined;
    getSteps(): StepVo[];
    isExternalStepAffinity(): boolean;
    getNodePool(): NodePoolVo;
    isJobStepAffinity(): boolean;
    isSkippable(): boolean;
    isUsingLocalArtifactory(): boolean;
    getAffinityGroup(): string;
    getRunId(): number;
    private getAllSteplets;
}
