import { NodeAttributes, NodePoolAttributes, PipelineSourceAttributes } from '@jfrog-pipelines/types';
import { WaitingGroup } from '../modules';
export declare type RejectGroupType = WaitingGroup & {
    skipByNonRootEnforcement: boolean;
    skipByNoNode: boolean;
    skipByNodePoolPermissions: boolean;
};
export declare type PipelineSourceById = {
    [key: number]: PipelineSourceAttributes;
};
declare type WaitingGroupApprovalRequiredType = {
    groupsRequiringApproval: WaitingGroup[];
    waitingGroupsResult: WaitingGroup[];
    rejectedGroupsWaitingForApproval: WaitingGroup[];
};
export declare class WaitingGroupManager {
    private readonly logger;
    static rejectGroup(isOnDemandNodePool: boolean, nodes: NodeAttributes[], waitingGroups: RejectGroupType[], isEnforceNonRootNodes: boolean, isInitAsNonRoot: boolean, numberOfNodesNodepool?: number): RejectGroupType[];
    filterWaitingGroupsByApprovalRequired(waitingGroups: WaitingGroup[]): WaitingGroupApprovalRequiredType;
    setReadyAt(waitingGroups: WaitingGroup[]): Promise<void>;
    skippingByNodePoolPermissionsInAbsenceOfPipelineSource(pipelineSourceIds: number[], waitingGroups: RejectGroupType[], nodePool: NodePoolAttributes): Promise<void>;
    private getGroupsWithMissingPipelineSources;
    private updateSkipByNodePoolPermissions;
    private checkIfGroupAlreadyHasReadyAtValue;
    private static rejectGroupByNonRootEnforcement;
    private static rejectGroupByNodes;
    private static setSkipByNoNode;
    private static setSkipByNonRootEnforcement;
}
export {};
